INTERFACE
SUBROUTINE CAV1AS(KPROMA,KNBPT,KTASK,PSLN,PSP_CI,PESIG,PCAGUE,&
 & PGELAT,PGELAM,PGNORDL,PGNORDM,PGM) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
USE SURFACE_FIELDS_MIX, ONLY : YSP_CID, YSP_CI
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KNBPT
INTEGER(KIND=JPIM),INTENT(IN) :: KTASK
REAL(KIND=JPRB) ,INTENT(IN) :: PSLN(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_CI(KPROMA,YSP_CID%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PESIG(2*NFLEVG+5,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PCAGUE(2,KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAT(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(KNBPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(KNBPT)
END SUBROUTINE CAV1AS
END INTERFACE
